package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.SqlCommand;

/**
 * @author higa
 *  
 */
public abstract class AbstractSqlCommand implements SqlCommand {

	private DataSource dataSource_;

	private String sql_;

	public AbstractSqlCommand(DataSource dataSource) {
		dataSource_ = dataSource;
	}

	public DataSource getDataSource() {
		return dataSource_;
	}

	public String getSql() {
		return sql_;
	}

	public void setSql(String sql) {
		sql_ = sql;
	}
}